Changeset 74 for ThirdParty/Blas


Ignore:
Timestamp:
Jun 23, 2006 4:27:20 PM (13 years ago)
Author:
andreasw
Message:

several improvements for MSys

Location:
ThirdParty/Blas/trunk
Files:
3 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Blas/trunk/Makefile.in

    r54 r74  
    101101distcleancheck_listfiles = find . -type f -print
    102102ACLOCAL = @ACLOCAL@
     103ADDLIBS = @ADDLIBS@
    103104ADD_FFLAGS = @ADD_FFLAGS@
     105ALWAYS_FALSE_FALSE = @ALWAYS_FALSE_FALSE@
     106ALWAYS_FALSE_TRUE = @ALWAYS_FALSE_TRUE@
    104107AMDEP_FALSE = @AMDEP_FALSE@
    105108AMDEP_TRUE = @AMDEP_TRUE@
     
    133136EXEEXT = @EXEEXT@
    134137F77 = @F77@
     138FADDLIBS = @FADDLIBS@
    135139FFLAGS = @FFLAGS@
    136140HAVE_EXTERNALS_FALSE = @HAVE_EXTERNALS_FALSE@
  • ThirdParty/Blas/trunk/configure

    r69 r74  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os COIN_DEBUG_TRUE COIN_DEBUG_FALSE F77 FFLAGS LDFLAGS ac_ct_F77 EXEEXT OBJEXT ADD_FFLAGS MPIF77 EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE CC CFLAGS CPPFLAGS ac_ct_CC DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL LT_LDFLAGS RPATH_FLAGS LIBOBJS LTLIBOBJS VPATH_DISTCLEANFILES'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE build build_cpu build_vendor build_os COIN_DEBUG_TRUE COIN_DEBUG_FALSE F77 FFLAGS LDFLAGS ac_ct_F77 EXEEXT OBJEXT ADD_FFLAGS MPIF77 EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE CC CFLAGS CPPFLAGS ac_ct_CC DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL LT_LDFLAGS RPATH_FLAGS LIBOBJS LTLIBOBJS VPATH_DISTCLEANFILES'
    476476ac_subst_files=''
    477477
     
    15491549
    15501550
     1551# Initialize the ADDLIBS variable
     1552ADDLIBS='-lm'
     1553
     1554
     1555# Initialize the FADDLIBS variable (which is to be used with a fortran
     1556# compiler and will not include FLIBS)
     1557FADDLIBS=
     1558
     1559
     1560# A useful makefile conditional that is always false
     1561
     1562
     1563if false; then
     1564  ALWAYS_FALSE_TRUE=
     1565  ALWAYS_FALSE_FALSE='#'
     1566else
     1567  ALWAYS_FALSE_TRUE='#'
     1568  ALWAYS_FALSE_FALSE=
     1569fi
     1570
     1571
     1572# We set the following variable so that we know later in AC_COIN_FINALIZE
     1573# that we are in a project main directory
     1574coin_projectdir=yes
     1575
     1576
    15511577#############################################################################
    15521578#                         Standard build tool stuff                         #
     
    16851711  *)         comps="xlf fort77 gfortran f77 g77 pgf90 pgf77 ifort ifc" ;;
    16861712esac
     1713
     1714# We delete the cached value, since the test might not have been
     1715# performed with out choise of compilers earlier
     1716ac_cv_prog_F77=
    16871717ac_ext=f
    16881718ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     
    17771807
    17781808# Provide some information about the compiler.
    1779 echo "$as_me:1779:" \
     1809echo "$as_me:1809:" \
    17801810     "checking for Fortran 77 compiler version" >&5
    17811811ac_compiler=`set X $ac_compile; echo $2`
     
    24302460  ;;
    24312461  *-mingw*)
    2432     case "$CXX" in
    2433       cl*)
    2434         coin_disable_shared=yes
    2435         platform="Msys with cl"
    2436     ;;
    2437     esac
     2462    coin_disable_shared=yes
     2463    platform="Msys"
     2464#    case "$CXX" in
     2465#      cl*)
     2466#        coin_disable_shared=yes
     2467#        platform="Msys with cl"
     2468#    ;;
     2469#    esac
    24382470  ;;
    24392471esac
     
    42814313*-*-irix6*)
    42824314  # Find out which ABI we are using.
    4283   echo '#line 4283 "configure"' > conftest.$ac_ext
     4315  echo '#line 4315 "configure"' > conftest.$ac_ext
    42844316  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    42854317  (eval $ac_compile) 2>&5
     
    67106742   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    67116743   -e 's:$: $lt_compiler_flag:'`
    6712    (eval echo "\"\$as_me:6712: $lt_compile\"" >&5)
     6744   (eval echo "\"\$as_me:6744: $lt_compile\"" >&5)
    67136745   (eval "$lt_compile" 2>conftest.err)
    67146746   ac_status=$?
    67156747   cat conftest.err >&5
    6716    echo "$as_me:6716: \$? = $ac_status" >&5
     6748   echo "$as_me:6748: \$? = $ac_status" >&5
    67176749   if (exit $ac_status) && test -s "$ac_outfile"; then
    67186750     # The compiler can only warn and ignore the option if not recognized
     
    69787010   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    69797011   -e 's:$: $lt_compiler_flag:'`
    6980    (eval echo "\"\$as_me:6980: $lt_compile\"" >&5)
     7012   (eval echo "\"\$as_me:7012: $lt_compile\"" >&5)
    69817013   (eval "$lt_compile" 2>conftest.err)
    69827014   ac_status=$?
    69837015   cat conftest.err >&5
    6984    echo "$as_me:6984: \$? = $ac_status" >&5
     7016   echo "$as_me:7016: \$? = $ac_status" >&5
    69857017   if (exit $ac_status) && test -s "$ac_outfile"; then
    69867018     # The compiler can only warn and ignore the option if not recognized
     
    70827114   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    70837115   -e 's:$: $lt_compiler_flag:'`
    7084    (eval echo "\"\$as_me:7084: $lt_compile\"" >&5)
     7116   (eval echo "\"\$as_me:7116: $lt_compile\"" >&5)
    70857117   (eval "$lt_compile" 2>out/conftest.err)
    70867118   ac_status=$?
    70877119   cat out/conftest.err >&5
    7088    echo "$as_me:7088: \$? = $ac_status" >&5
     7120   echo "$as_me:7120: \$? = $ac_status" >&5
    70897121   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    70907122   then
     
    94279459  lt_status=$lt_dlunknown
    94289460  cat > conftest.$ac_ext <<EOF
    9429 #line 9429 "configure"
     9461#line 9461 "configure"
    94309462#include "confdefs.h"
    94319463
     
    95279559  lt_status=$lt_dlunknown
    95289560  cat > conftest.$ac_ext <<EOF
    9529 #line 9529 "configure"
     9561#line 9561 "configure"
    95309562#include "confdefs.h"
    95319563
     
    1187111903   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1187211904   -e 's:$: $lt_compiler_flag:'`
    11873    (eval echo "\"\$as_me:11873: $lt_compile\"" >&5)
     11905   (eval echo "\"\$as_me:11905: $lt_compile\"" >&5)
    1187411906   (eval "$lt_compile" 2>conftest.err)
    1187511907   ac_status=$?
    1187611908   cat conftest.err >&5
    11877    echo "$as_me:11877: \$? = $ac_status" >&5
     11909   echo "$as_me:11909: \$? = $ac_status" >&5
    1187811910   if (exit $ac_status) && test -s "$ac_outfile"; then
    1187911911     # The compiler can only warn and ignore the option if not recognized
     
    1197512007   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1197612008   -e 's:$: $lt_compiler_flag:'`
    11977    (eval echo "\"\$as_me:11977: $lt_compile\"" >&5)
     12009   (eval echo "\"\$as_me:12009: $lt_compile\"" >&5)
    1197812010   (eval "$lt_compile" 2>out/conftest.err)
    1197912011   ac_status=$?
    1198012012   cat out/conftest.err >&5
    11981    echo "$as_me:11981: \$? = $ac_status" >&5
     12013   echo "$as_me:12013: \$? = $ac_status" >&5
    1198212014   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1198312015   then
     
    1354513577   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1354613578   -e 's:$: $lt_compiler_flag:'`
    13547    (eval echo "\"\$as_me:13547: $lt_compile\"" >&5)
     13579   (eval echo "\"\$as_me:13579: $lt_compile\"" >&5)
    1354813580   (eval "$lt_compile" 2>conftest.err)
    1354913581   ac_status=$?
    1355013582   cat conftest.err >&5
    13551    echo "$as_me:13551: \$? = $ac_status" >&5
     13583   echo "$as_me:13583: \$? = $ac_status" >&5
    1355213584   if (exit $ac_status) && test -s "$ac_outfile"; then
    1355313585     # The compiler can only warn and ignore the option if not recognized
     
    1364913681   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1365013682   -e 's:$: $lt_compiler_flag:'`
    13651    (eval echo "\"\$as_me:13651: $lt_compile\"" >&5)
     13683   (eval echo "\"\$as_me:13683: $lt_compile\"" >&5)
    1365213684   (eval "$lt_compile" 2>out/conftest.err)
    1365313685   ac_status=$?
    1365413686   cat out/conftest.err >&5
    13655    echo "$as_me:13655: \$? = $ac_status" >&5
     13687   echo "$as_me:13687: \$? = $ac_status" >&5
    1365613688   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1365713689   then
     
    1585615888   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1585715889   -e 's:$: $lt_compiler_flag:'`
    15858    (eval echo "\"\$as_me:15858: $lt_compile\"" >&5)
     15890   (eval echo "\"\$as_me:15890: $lt_compile\"" >&5)
    1585915891   (eval "$lt_compile" 2>conftest.err)
    1586015892   ac_status=$?
    1586115893   cat conftest.err >&5
    15862    echo "$as_me:15862: \$? = $ac_status" >&5
     15894   echo "$as_me:15894: \$? = $ac_status" >&5
    1586315895   if (exit $ac_status) && test -s "$ac_outfile"; then
    1586415896     # The compiler can only warn and ignore the option if not recognized
     
    1612416156   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1612516157   -e 's:$: $lt_compiler_flag:'`
    16126    (eval echo "\"\$as_me:16126: $lt_compile\"" >&5)
     16158   (eval echo "\"\$as_me:16158: $lt_compile\"" >&5)
    1612716159   (eval "$lt_compile" 2>conftest.err)
    1612816160   ac_status=$?
    1612916161   cat conftest.err >&5
    16130    echo "$as_me:16130: \$? = $ac_status" >&5
     16162   echo "$as_me:16162: \$? = $ac_status" >&5
    1613116163   if (exit $ac_status) && test -s "$ac_outfile"; then
    1613216164     # The compiler can only warn and ignore the option if not recognized
     
    1622816260   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1622916261   -e 's:$: $lt_compiler_flag:'`
    16230    (eval echo "\"\$as_me:16230: $lt_compile\"" >&5)
     16262   (eval echo "\"\$as_me:16262: $lt_compile\"" >&5)
    1623116263   (eval "$lt_compile" 2>out/conftest.err)
    1623216264   ac_status=$?
    1623316265   cat out/conftest.err >&5
    16234    echo "$as_me:16234: \$? = $ac_status" >&5
     16266   echo "$as_me:16266: \$? = $ac_status" >&5
    1623516267   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1623616268   then
     
    1950519537      sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    1950619538          -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
     19539          -e 's|libext="lib"|libext="a"|' \
    1950719540      libtool > conftest.bla
    1950819541
     
    1953519568        done
    1953619569      esac ;;
     19570    *-darwin*)
     19571        RPATH_FLAGS=nothing ;;
    1953719572    *-ibm-*)
    1953819573      case "$CXX" in
     
    1956819603
    1956919604
     19605FADDLIBS="$ADDLIBS"
    1957019606if test x"$coin_need_flibs" = xyes; then
    1957119607  ADDLIBS="$ADDLIBS $FLIBS"
     
    1969419730
    1969519731
     19732if test -z "${ALWAYS_FALSE_TRUE}" && test -z "${ALWAYS_FALSE_FALSE}"; then
     19733  { { echo "$as_me:$LINENO: error: conditional \"ALWAYS_FALSE\" was never defined.
     19734Usually this means the macro was only invoked conditionally." >&5
     19735echo "$as_me: error: conditional \"ALWAYS_FALSE\" was never defined.
     19736Usually this means the macro was only invoked conditionally." >&2;}
     19737   { (exit 1); exit 1; }; }
     19738fi
    1969619739if test -z "${COIN_DEBUG_TRUE}" && test -z "${COIN_DEBUG_FALSE}"; then
    1969719740  { { echo "$as_me:$LINENO: error: conditional \"COIN_DEBUG\" was never defined.
     
    2026120304s,@ECHO_T@,$ECHO_T,;t t
    2026220305s,@LIBS@,$LIBS,;t t
     20306s,@ADDLIBS@,$ADDLIBS,;t t
     20307s,@FADDLIBS@,$FADDLIBS,;t t
     20308s,@ALWAYS_FALSE_TRUE@,$ALWAYS_FALSE_TRUE,;t t
     20309s,@ALWAYS_FALSE_FALSE@,$ALWAYS_FALSE_FALSE,;t t
    2026320310s,@build@,$build,;t t
    2026420311s,@build_cpu@,$build_cpu,;t t
  • ThirdParty/Blas/trunk/configure.ac

    r49 r74  
    3131AC_PREFIX_DEFAULT([`pwd`])
    3232
     33AC_COIN_PROJECTDIR_INIT
     34
    3335#############################################################################
    3436#                         Standard build tool stuff                         #
Note: See TracChangeset for help on using the changeset viewer.